%global gittag 5.5.0.201909110433-r

Name:		eclipse-egit-github
Version:	5.5.0
Release:	1%{?dist}
Summary:	Eclipse EGit Mylyn GitHub Connector

License:	EPL-2.0
URL:		http://www.eclipse.org/egit/
Source0:	https://git.eclipse.org/c/egit/egit-github.git/snapshot/egit-github-%{gittag}.tar.xz

BuildArch:	noarch

# Upstream Eclipse no longer supports non-64bit arches
ExcludeArch: s390 %{arm} %{ix86}

BuildRequires:	tycho
BuildRequires:	maven-antrun-plugin
BuildRequires:	google-gson
BuildRequires:	hamcrest
BuildRequires:	eclipse-egit >= %{version}
BuildRequires:	eclipse-jgit >= %{version}
BuildRequires:	eclipse-license2
BuildRequires:	eclipse-mylyn
BuildRequires:	eclipse-mylyn-docs-wikitext

Requires:	eclipse-platform
Requires:	eclipse-egit >= %{version}
Requires:	eclipse-jgit >= %{version}

%description
Create task repositories for working with GitHub issues 
and Gists.

%prep
%setup -q -n egit-github-%{gittag}

%pom_xpath_remove "pom:repositories"

# comment out tests
%pom_disable_module "org.eclipse.egit.github.core.tests"
%pom_disable_module "org.eclipse.mylyn.github.tests"

# no need for sites or target platform in RPM builds
%pom_disable_module "org.eclipse.mylyn.github-site"
%pom_disable_module "org.eclipse.mylyn.github.target"
%pom_remove_plugin ":target-platform-configuration"

# misc other plugins not needed for RPM builds
%pom_remove_plugin ":maven-enforcer-plugin"
%pom_remove_plugin ":maven-pmd-plugin"

# remove dependencies for maven-antrun-plugin 
%pom_remove_dep ant:optional org.eclipse.mylyn.github.doc

%mvn_package "::pom::" __noinstall

%build
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README.md CONTRIBUTING.md

%changelog
* Tue Sep 17 2019 Mat Booth <mat.booth@redhat.com> - 5.5.0-1
- Update to latest upstream release

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 27 2019 Mat Booth <mat.booth@redhat.com> - 5.4.0-2
- Update to final tagged release

* Fri May 31 2019 Mat Booth <mat.booth@redhat.com> - 5.4.0-1
- Update to latest milestone release

* Wed Mar 13 2019 Mat Booth <mat.booth@redhat.com> - 5.3.0-1
- Update to 2019-03 release
- Restrict to same architectures as Eclipse itself

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Dec 07 2018 Mat Booth <mat.booth@redhat.com> - 5.2.0-1
- Update to 5.2.0 release

* Tue Sep 25 2018 Mat Booth <mat.booth@redhat.com> - 5.1.0-1
- Update to 5.1.0 release

* Wed Aug 22 2018 Mat Booth <mat.booth@redhat.com> - 5.1.0-0.1
- Update to latest snapshot

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 23 2018 Mat Booth <mat.booth@redhat.com> - 5.0.0-1
- Update to latest upstream release

* Wed Mar 21 2018 Alexander Kurtakov <akurtako@redhat.com> 4.11.0-1
- Update to upstream 4.11.0.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 05 2018 Mat Booth <mat.booth@redhat.com> - 4.10.0-1
- Update to latest upstream release

* Tue Nov 21 2017 Mat Booth <mat.booth@redhat.com> - 4.9.0-1
- Update to latest upstream version

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jun 23 2017 Mat Booth <mat.booth@redhat.com> - 4.8.0-2
- Avoid unnecessary dep on Mylyn Wikitext

* Fri Jun 16 2017 Mat Booth <mat.booth@redhat.com> - 4.8.0-1
- Update to Oxygen release

* Wed May 10 2017 Mat Booth <mat.booth@redhat.com> - 4.7.0-2
- Regenerate symlinks

* Wed May 03 2017 Mat Booth <mat.booth@redhat.com> - 4.7.0-1
- Update to latest upstream release 4.7.0

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Mat Booth <mat.booth@redhat.com> - 4.6.0-1
- Update to latest release

* Tue Oct 4 2016 Alexander Kurtakov <akurtako@redhat.com> 4.5.0-1
- Update to 4.5.0

* Wed Jun 15 2016 Mat Booth <mat.booth@redhat.com> - 4.4.0-1
- Update to latest release

* Wed Jun 15 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 4.3.0-2
- Add missing build-requires

* Fri Apr 15 2016 Sopot Cela <scela@redhat.com> - 4.3.0-1
- Upgrade to 4.3.0

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 26 2016 Sopot Cela <scela@redhat.com> 4.2.0-1
- Upgrade to 4.2.0

* Tue Sep 29 2015 Sopot Cela <scela@redhat.com> - 4.1.0-1
- Upgrade to version 4.1.0 for Mars.1 release

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 4.0.1-2
- Rebuild as an Eclipse p2 Droplet.

* Tue Jun 30 2015 Sopot Cela <scela@redhat.com> - 4.0.1-1
- Updated to 4.0.1

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 10 2015 Alexander Kurtakov <akurtako@redhat.com> 4.0.0-1
- Update to 4.0 final.

* Thu May 28 2015 Alexander Kurtakov <akurtako@redhat.com> 4.0.0-0.1.rc2
- Update to 4.0 rc2.

* Thu May 7 2015 Alexander Kurtakov <akurtako@redhat.com> 3.7.0-1
- Update to upstream 3.7.0 release.

* Fri Jan 23 2015 Alexander Kurtakov <akurtako@redhat.com> 3.6.2-1
- Update to upstream 3.6.2 release.

* Mon Jan 5 2015 Alexander Kurtakov <akurtako@redhat.com> 3.6.0-1
- Update to 3.6.0.

* Tue Nov 11 2014 Mat Booth <mat.booth@redhat.com> - 3.5.0-1
- Update to 3.5.0 and clean up spec a bit

* Wed Sep 17 2014 Alexander Kurtakov <akurtako@redhat.com> 3.4.0-2
- Fix build with latest tycho/xmvn. 

* Thu Jul 10 2014 Alexander Kurtakov <akurtako@redhat.com> 3.4.0-1
- Update to upstream 3.4.0.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 13 2014 Alexander Kurtakov <akurtako@redhat.com> 3.3.0-1
- Update to upstream version 3.3.0.

* Thu Jan 23 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 3.2.0-1
- Update to upstream version 3.2.0
- Install Maven metadata for egit.github.core, resolves: rhbz#1056937

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 25 2013 Neil Brian Guzman <nguzman@redhat.com> 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jun 25 2013 Neil Brian Guzman <nguzman@redhat.com> 3.0.0-1
- Update to 3.0.0.
- Fixed the source to point to correct source file.

* Tue Jun 11 2013 Neil Brian Guzman <nguzman@redhat.com> 2.3.0-5
- added Requires: eclipse-egit

* Tue Jun 11 2013 Neil Brian Guzman <nguzman@redhat.com> 2.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jun 11 2013 Neil Brian Guzman <nguzman@redhat.com> 2.3.0-3
- Changed eclipse-egit --> BuildRequires: eclipse-egit to build on f19

* Fri Jun 07 2013 Neil Brian Guzman <nguzman@redhat.com> 2.3.0-2
- Removed duplicate about.htmls
- Fixed changelog
- Made symlink to google-gson
- Changed BuildRequires: eclipse-egit --> Requires: eclipse-egit

* Wed Jun 05 2013 Neil Brian Guzman <nguzman@redhat.com> 2.3.0-1
- Initial packaging of eclipse-egit-github
